Package org.optaplanner.core.impl.score.stream.drools

## Class DroolsConstraintSessionFactory<Solution_,​Score_ extends Score<Score_>>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.drools.DroolsConstraintSessionFactory<Solution_,​Score_>

- All Implemented Interfaces:
    `ConstraintSessionFactory<Solution_,​Score_>`

      public final class DroolsConstraintSessionFactory<Solution_,​Score_ extends Score<Score_>>
      extends Object
      implements ConstraintSessionFactory<Solution_,​Score_>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DroolsConstraintSessionFactory​(SolutionDescriptor<Solution_> solutionDescriptor, org.drools.model.Model model, List<DroolsConstraint<Solution_>> constraints, boolean droolsAlphaNetworkCompilationEnabled)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ConstraintSession<Solution_,​Score_>` | `buildSession​(boolean constraintMatchEnabled, Solution_ workingSolution)` | This method is thread-safe.
    `boolean` | `isDroolsAlphaNetworkCompilationEnabled()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DroolsConstraintSessionFactory

          public DroolsConstraintSessionFactory​(SolutionDescriptor<Solution_> solutionDescriptor,
                                                org.drools.model.Model model,
                                                List<DroolsConstraint<Solution_>> constraints,
                                                boolean droolsAlphaNetworkCompilationEnabled)

  - ### Method Detail

    - #### isDroolsAlphaNetworkCompilationEnabled

          public boolean isDroolsAlphaNetworkCompilationEnabled()

    - #### buildSession

          public ConstraintSession<Solution_,​Score_> buildSession​(boolean constraintMatchEnabled,
                                                                        Solution_ workingSolution)

      Description copied from interface: `ConstraintSessionFactory`
      This method is thread-safe.
      Specified by:
        `buildSession` in interface `ConstraintSessionFactory<Solution_,​Score_ extends Score<Score_>>`
      Parameters:
        `constraintMatchEnabled` - true if `InnerScoreDirector.isConstraintMatchEnabled()` should be true
        `workingSolution` - if null, uniform synthetic constraint weights will be applied
      Returns:
        never null